#define gtk	((GtkInputDialog *) gtk)
- (GTKWidget *) closeButton
{
    return GTK_GET_OBJECT(gtk->close_button);
}
- (GTKWidget *) saveButton
{
    return GTK_GET_OBJECT(gtk->save_button);
}
#undef gtk
